Name:		xqf
Version:	1.0.5
Release:	5%{?dist}
Summary:	A server browser for many popular games

Group:		Amusements/Games
License:	GPLv2+
URL:		http://www.linuxgames.com/xqf/
Source:		http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Source1:	%{name}.desktop
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires:	qstat
BuildRequires:	GeoIP-devel qstat gdk-pixbuf-devel glib-devel gettext zlib-devel
BuildRequires:	gtk2-devel intltool perl-XML-Parser desktop-file-utils readline-devel

%description
XQF is a game server browser and launcher for Unix/X11 for many popular games 
such as the Quake series, Unreal Tournament series, Half-Life etc.
XQF is a front-end to QStat, a program by Steve Jankowski 
and uses the GTK+ toolkit.

%prep
%setup -q


%build
%configure \
	--enable-geoip		\
	--enable-bzip2		\
	--enable-externalrcon	\
	--enable-gtk2

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# removing extraneous .desktop file
rm -f $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

# the desktop file
desktop-file-install --vendor="fedora"				\
	--dir=$RPM_BUILD_ROOT%{_datadir}/applications		\
	%{SOURCE1}

# the icon stuff
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps

install -p -m 0644 pixmaps/%{name}_32x32.png	\
	$RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps/%{name}.png

%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT


%post
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ] ; then
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%postun
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ] ; then
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README
%{_bindir}/%{name}
%{_bindir}/%{name}-rcon
%{_datadir}/pixmaps/%{name}_*.png
%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_datadir}/%{name}
%{_mandir}/man6/%{name}.6.*


%changelog
* Tue Jul 08 2008 Stefan Posdzich <cheekyboinc@foresightlinux.org> - 1.0.5-5
- Remove BuildRequires: glibc-devel

* Wed Jun 18 2008 Stefan Posdzich <cheekyboinc@foresightlinux.org> - 1.0.5-4
- Add new .desktop file source
- Remove BuildRequires: gtk+-devel, glib2-devel
- Remove desktop-file-install --remove-category=X-SuSE-Core-Game and {name}.desktop

* Mon Jun 16 2008 Stefan Posdzich <cheekyboinc@foresightlinux.org> - 1.0.5-3
- Add --enable-bzip2 for bzip2 data compression
- Add --enable-externalrco (Remote server administration tool)
- Add BuildRequires: readline-devel
- Add correct url for Source:
- Add gtk-update-icon-cache

* Sun Jun 15 2008 Stefan Posdzich <cheekyboinc@foresightlinux.org> - 1.0.5-2
- Add desktop-file-install for the .desktop file
- Add BuildRequires: GeoIP-devel, qstat
- Remove the dummy libGeoIP.so
- Remove Requires: GeoIP

* Fri Jun 13 2008 Stefan Posdzich <cheekyboinc@foresightlinux.org> - 1.0.5-1
- Initial SPEC file
